@charset "UTF-8";

/* 共通 */

html {
  font-size: 16px;
  scroll-behavior: smooth;
}

body {
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.font {
  font-family: "Yomogi", cursive;
  font-weight: 400;
  font-style: normal;
}

a {
  text-decoration: none;
  display: inline-block;
}

img {
  max-width: 100%;
}

li {
  list-style: none;
}

.wrapper {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
}

.sec-ttl{
  text-align: center;
  margin-bottom: 40px;
}

.section-heading-l{
  color: #fff;
}

.sec-ttl p:first-of-type{
  font-size: 40px;
  font-weight: 900;
}

.sec-ttl p:nth-of-type(2){
  font-size: 12px;
}

.scroll-animation{
  opacity: 0;
  translate: 0 10px;
  transition: all 1s;
}

.scroll-animation.active{
  opacity: 1;
  translate: 0 0;
}

/*** ヘッダー ***/

header {
  position: fixed;
  top: 0;
  left: 0;
  border-bottom: 1px solid rgba(241, 238, 228, 0.25);
  width: 100%;
  padding: 12px;
  z-index: 10;
}

h1 {
  width: fit-content;
  font-size: clamp(24px, 3vw, 48px);
  font-weight: 900;
  color: #fff;
  margin: 0 auto;
}

nav {
  margin-top: 10px;
}

nav ul{
  display: flex;
  justify-content: center;
  gap: 20px;
}

nav a{
  color: #ffffff;
}

/*** ファーストビュー ***/
.fv{
    height: 80vh;
    position: relative;
}

.fv img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.fv p:first-of-type{
    color: #f1eee4;
    font-size: clamp(32px, 3vw, 48px);
    writing-mode: vertical-rl;
    position: absolute;
    bottom: 5%;
    left: 0;
    text-shadow: 4px 4px 10px red;
}

.fv p:nth-of-type(2){
    font-size: clamp(40px, 3vw, 56px);
    font-weight: 900;
    color: #f1eee4;
    position: absolute;
    bottom: -2%;
    left: 0;
}


/*** aboutセクション ***/
#about {
  padding: 40px 0;
  background-color: #f1eee4;
}

.about-text-contents {
  margin-top: 20px;
}

.about-text {
  font-size: 14px;
  line-height: 2;
}

.about-text p + p {
  margin-top: 16px;
}

/*** menuセクション ***/
#menu {
  background-color: #f1eee4;
  padding: 80px 0;
}

#menu ul li + li {
  margin-top: 62px;
}

.menu-img img{
    aspect-ratio: 1;
    object-fit: cover;
}

.menu-text-contents {
  text-align: center;
  padding: 16px 10px;
}

.menu-name-main {
  display: block;
  font-size: 18px;
}

.menu-name-sub {
  display: block;
  font-size: 12px;
  color: #a98c5f;
  margin-top: 8px;
}

.menu-text {
  font-size: 14px;
  color: #a98c5f;
  margin-top: 16px;
}

/*** shopセクション ***/
#shop {
  background-image: url(../img/sp/bg-shop.png);
  background-position: center center;
  background-size: cover;
  padding: 80px 0;
}

.shop-inner {
  padding: 0 20px;
}

.shop-text {
  color: #fff;
  text-align: center;
  font-size: 14px;
  line-height: 2;
}

.form {
  margin-top: 40px;
}

.form-input {
  width: 100%;
  border-radius: 4px;
  background-color: rgba(255, 255, 255, 0.7);
  border: none;
  padding: 14px;
}

.form-submit {
  border-radius: 4px;
  border: none;
  font-family: "Josefin Sans", "Noto Sans JP", sans-serif;
  display: block;
  margin: 10px auto 0;
  width: 120px;
  padding: 12px 10px;
  color: #fff;
  background-color: #a98c5f;
  text-align: center;
}


/*** footer ***/
.footer {
  background-color: #3c301e;
  text-align: center;
  padding-top: 46px;
  color: #fff;
}

.footer-logo {
  width: 200px;
  margin: 0 auto;
}

.footer-text {
  font-size: 12px;
}

.footer ul {
  margin-top: 40px;
  display: flex;
  justify-content: center;
  gap: 24px;
  padding: 0 20px;
}

.footer-nav-link-text {
  font-size: 12px;
  margin-top: 12px;
}

.sns-img {
  width: 56px;
}

.footer-copy-wrapper {
  border-top: 1px solid rgba(241, 238, 228, 0.25);
  padding: 12px;
  margin-top: 46px;
}

.footer-copylight {
  font-size: 12px;
}


/**************** PCサイズ ******************/
@media  (min-width: 768px) {
  header {
    padding: 16px;
  }

  .header-inner {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  h1{
    margin: 0;
  }

  nav a {
    transition: opacity 0.3s;
  }

  nav a:hover {
    opacity: 0.7;
  }

  .fv{
    height: 100vh;
  }

  .fv p:nth-of-type(2){
    font-size: 64px;
  }

  .about-contents {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .about-img {
    width: 50%;
  }

  .about-text {
    width: 40%;
    font-size: 16px;
  }


  .menu {
    padding: 0 0 100px;
  }

 .splide__slide{
    transition: all .3s ease;
 }

 .splide__slide.is-center{
    transform: scale(1.1);
 }

 .menu-img{
    width: 100%;
 }

  .shop {
    background-image: url(../img/bg-shop.png);
    background-position: center center;
    background-size: cover;
    padding: 60px 0;
  }

  .shop-inner {
    max-width: 600px;
    margin: 0 auto;
  }

  .form {
    display: flex;
    gap: 20px;
  }

  .form-submit {
    margin-top: 0;
    transition: opacity 0.3s;
  }

  .form-submit:hover {
    opacity: 0.7;
    cursor: pointer;
  }

  .footer-text {
    margin-top: 12px;
  }

  .footer-nav-list {
    gap: 40px;
  }

  .footer-copylight {
    font-size: 13px;
  }
}
